]> git.p6c8.net - nextcloud-backup-restore.git/blobdiff - setup.sh
v2.3.0: Bugfix double slashes; exit on error; optimizations
[nextcloud-backup-restore.git] / setup.sh
index f5f4d1e4d6ccf4df5a5a7a5d5c858ec0fcf83c0b..ed29c3eb0d5d0051b7afca148d85600f11d2045a 100755 (executable)
--- a/setup.sh
+++ b/setup.sh
@@ -3,7 +3,7 @@
 #
 # Bash script an easy setup of NextcloudBackup.sh and NextcloudRestore.sh
 #
-# Version 2.1.0
+# Version 2.3.0
 #
 # Usage:
 #      - call the setup.sh script
@@ -19,6 +19,9 @@
 # However, you should always check the backup/restore scripts BEFORE executing these!
 #
 
+# Make sure the script exits when any command fails
+set -Eeuo pipefail
+
 #
 # Pre defined variables
 #
@@ -86,7 +89,7 @@ occ_get datadirectory
 
 if [ $? -ne 0 ]; then
     echo "Error calling OCC: Please check if the information provided was correct."
-       echo "ABORTING!"
+    echo "ABORTING!"
        echo "No file has been altered."
        exit 1
 fi

patrick-canterino.de